{{/* TODO: Add the class "project" if one of the categories is called Project
*/}} {{ $urlParams := after 2 (split .RelPermalink "/") }} {{ $isProject := eq
(index $urlParams 0) "projects" }}
<article
  class="float {{ if $isProject }}project{{ end }}"
  target="{{ .RelPermalink }}"
>
  {{ if not .Params.icon }}
  <div class="image"></div>
  {{ else }} {{ if (hasPrefix .Params.icon "https://") }}
  <div class="image" style="background-image: url('{{ .Params.icon }}')"></div>
  {{ else }} {{/* Always resize image to double the displayed size (for
  higher-res displays) */}} {{ $image := (resources.Get .Params.icon).Fill
  "120x120 webp center" }}
  <div
    class="image"
    style="background-image: url('{{ $image.RelPermalink }}')"
  ></div>
  {{ end }} {{ end }}

  <div class="title">
    <a href="{{ .RelPermalink }}">{{ .Title }}</a>
  </div>

  <div class="date">
    <span class="post-day">{{ .Date.Format .Site.Params.dateformShort }}</span>
  </div>

  <div class="bottom">
    <div class="tags">
      {{ $url := "" }} {{ range $urlParams }} {{ if not (in (after 0 (last 2
      $urlParams)) .) }} {{ $url = "/" | add . | add $url }}
      <a href="/posts/{{ $url }}">{{ humanize (replace . "posts" "blog") }}</a>
      {{ end }} {{ end }} {{ range (.GetTerms "categories") }}
      <a href="{{ .RelPermalink }}">{{ .Title }}</a>
      {{ end }}
    </div>

    <div class="summary">{{ .Params.summary }}</div>

    <div class="links">
      {{ if .Params.gitlab }}
      <a href="{{ .Params.gitlab }}" title="View code on gitlab" target="blank">
        {{ partial "svg.html" "gitlab" }}
      </a>
      {{ end }} {{ if .Params.demo }}
      <a href="{{ .Params.demo }}" title="Open app online" target="blank">
        {{ partial "svg.html" "open" }}
      </a>
      {{ end }}
    </div>
  </div>
</article>
